| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
EM::SurfaceIOData Class Reference
EarthModel

Data interesting for Surface I/O. More...

`#include <emsurfaceiodata.h>`

## Public Member Functions
| SurfaceIOData ()
| ~SurfaceIOData ()
void | clear ()
void | fillPar (IOPar &) const
void | setZDomain (const ZDomain::Info &)
void | use (const Surface &)
void | usePar (const IOPar &)
const ZDomain::Info & | zDomain () const

## Public Attributes
BufferString | dbinfo
TypeSet< Pos::GeomID > | geomids
BufferStringSet | linenames
BufferStringSet | linesets
int | nrfltsticks_ = 0
TrcKeySampling | rg
BufferStringSet | sections
TypeSet< StepInterval< int > > | trcranges
BufferStringSet | valnames
TypeSet< float > | valshifts_
Interval< float > | zrg

## Protected Attributes
const ZDomain::Info * | zinfo_

## Detailed Description

Data interesting for Surface I/O.

<>

## Constructor & Destructor Documentation

## ◆ SurfaceIOData()

EM::SurfaceIOData::SurfaceIOData | ( |  | ) |

## ◆ ~SurfaceIOData()

EM::SurfaceIOData::~SurfaceIOData | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void EM::SurfaceIOData::clear | ( |  | ) |

## ◆ fillPar()

void EM::SurfaceIOData::fillPar | ( | IOPar & |  | ) | const

## ◆ setZDomain()

void EM::SurfaceIOData::setZDomain | ( | const ZDomain::Info & |  | ) |

## ◆ use()

void EM::SurfaceIOData::use | ( | const Surface & |  | ) |

## ◆ usePar()

void EM::SurfaceIOData::usePar | ( | const IOPar & |  | ) |

## ◆ zDomain()

const ZDomain::Info & EM::SurfaceIOData::zDomain | ( |  | ) | const

## Member Data Documentation

## ◆ dbinfo

BufferString EM::SurfaceIOData::dbinfo

## ◆ geomids

TypeSet<Pos::GeomID> EM::SurfaceIOData::geomids

## ◆ linenames

BufferStringSet EM::SurfaceIOData::linenames

For 2D Only:

## ◆ linesets

BufferStringSet EM::SurfaceIOData::linesets

## ◆ nrfltsticks_

int EM::SurfaceIOData::nrfltsticks_ = 0

## ◆ rg

TrcKeySampling EM::SurfaceIOData::rg

## ◆ sections

BufferStringSet EM::SurfaceIOData::sections

## ◆ trcranges

TypeSet<StepInterval<int> > EM::SurfaceIOData::trcranges

## ◆ valnames

BufferStringSet EM::SurfaceIOData::valnames

## ◆ valshifts_

TypeSet<float> EM::SurfaceIOData::valshifts_

## ◆ zinfo_

const ZDomain::Info* EM::SurfaceIOData::zinfo_
| protected

## ◆ zrg

Interval<float> EM::SurfaceIOData::zrg

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025